using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CuXiao.Mmxysyyzq
{
    public partial class W_W_Mmxysyyzq_Edit
    {
        public W_W_Mmxysyyzq_Edit()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            dw_bm.DataStore.DataWindowObject = "dw_cxfa_mmxysyyzq_bm";
            dw_top.DataStore.DataWindowObject = "dw_cxfa_mmxysyyzq_top";
            this.Title = "买满X元送Y元赠劵";
            A8ERP.Common.DWServiceHelp.AddReportService(dw_bm);
            string opFlag = Request["opFlag"].ToString();
            this.SetParm("opFlag", opFlag);
            TabPage tp1 = new TXSoft.ExtPB.TabPage();
            tp1.Dock = System.Windows.Forms.DockStyle.Fill;
            tp1.Text = "促销商品";
            tp1.TabIndex = 1;
            tp1.Name = "cxsp";
            DataWindow dw_cxsp = new TXSoft.ExtPB.DataWindow();
            tab_1.Controls.Add(tp1);
            dw_cxsp.Dock = System.Windows.Forms.DockStyle.Fill;
            dw_cxsp.BorderStyle = TXSoft.ExtPB.BorderStyle.None;
            dw_cxsp.SetProperty("GenerateMember", "True");
            dw_cxsp.Height = 281;
            dw_cxsp.Width = 444;
            dw_cxsp.HScrollBar = false;
            dw_cxsp.HSplitScroll = false;
            dw_cxsp.Name = "dw_cxsp";
            dw_cxsp.Visible = true;
            dw_cxsp.VScrollBar = false;
            tp1.Visible = true;
            dw_cxsp.DataWindowObject = "dw_cxfa_mmxysyyzq_cxsp_list";
            dw_cxsp.ObjectBorderColor = System.Drawing.Color.SkyBlue;
            dw_cxsp.ShowPageRowCountInfo = false;
            dw_cxsp.ShowPagingButonText = false;
            dw_cxsp.ShowRetrieveMessage = false;
            dw_cxsp.X = 3;
            dw_cxsp.Y = 3;
            tp1.Controls.Add(dw_cxsp);
            dw_cxsp.HScrollBar = false;
            dw_cxsp.VScrollBar = true;
            //

            TabPage tp2 = new TXSoft.ExtPB.TabPage();
            tab_1.Controls.Add(tp2);
            tp2.Name = "zsmx";
            tp2.Text = "赠送明细";
            tp2.UseVisualStyleBackColor = true;
            //
            SplitContainer sc_3 = new SplitContainer();
            sc_3 = new TXSoft.ExtPB.SplitContainer();
            tp2.Controls.Add(sc_3);
            sc_3.Dock = System.Windows.Forms.DockStyle.Fill;
            sc_3.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
            sc_3.Height = 281;
            sc_3.Name = "sc_3";
            sc_3.SplitterDistance = 231;
            sc_3.SplitterWidth = 1;
            sc_3.Width = 444;
            sc_3.X = 3;
            sc_3.Y = 3;
            //赠送明细

            DataWindow dw_zsmx = new TXSoft.ExtPB.DataWindow();
            sc_3.Panel1.Controls.Add(dw_zsmx);
            dw_zsmx.DataWindowObject = "dw_cxfa_mmxysyyzq_zsmx_list";
            dw_zsmx.Dock = System.Windows.Forms.DockStyle.Fill;
            dw_zsmx.Height = 281;
            dw_zsmx.Name = "dw_zsmx";
            dw_zsmx.Width = 231;
            dw_zsmx.HScrollBar = false;
            dw_zsmx.VScrollBar = true;

            GroupBox gb_2 = new TXSoft.ExtPB.GroupBox();
            sc_3.Panel2.Controls.Add(gb_2);
            gb_2.Dock = System.Windows.Forms.DockStyle.Fill;
            gb_2.Height = 281;
            gb_2.Name = "gb_2";
            gb_2.TabIndex = 1;
            gb_2.Width = 212;

            CommandButton cb_6 = new TXSoft.ExtPB.CommandButton();
            gb_2.Controls.Add(cb_6);
            cb_6.Height = 23;
            cb_6.Name = "cb_6";
            cb_6.TabIndex = 3;
            cb_6.Text = "确定";
            cb_6.Width = 61;
            cb_6.X = 22;
            cb_6.Y = 99;

            //
            StaticText st_2 = new TXSoft.ExtPB.StaticText();
            gb_2.Controls.Add(st_2);
            st_2.Height = 21;
            st_2.Name = "st_2";
            st_2.TabIndex = 2;
            st_2.Text = "行快速设定";
            st_2.Width = 76;
            st_2.X = 76;
            st_2.Y = 60;
            //
            SingleLineEdit sle_1 = new TXSoft.ExtPB.SingleLineEdit();
            gb_2.Controls.Add(sle_1);
            sle_1.Height = 21;
            sle_1.Limit = 0u;
            sle_1.Name = "sle_1";
            sle_1.TabIndex = 1;
            sle_1.Width = 48;
            sle_1.X = 22;
            sle_1.Y = 57;
            //
            StaticText st_1 = new TXSoft.ExtPB.StaticText();
            gb_2.Controls.Add(st_1);
            st_1.Height = 17;
            st_1.Name = "st_1";
            st_1.Text = "按等级明细第一行";
            st_1.Width = 116;
            st_1.X = 20;
            st_1.Y = 33;

            GroupBox gb_1 = new TXSoft.ExtPB.GroupBox();
            sc_2.Panel2.Controls.Add(gb_1);
            sc_2.Panel2.Controls.SetChildIndex(gb_1, 0);
            gb_1.Height = 309;
            gb_1.Name = "gb_1";
            gb_1.TabIndex = 1;
            gb_1.Text = "gb_1";
            gb_1.Width = 189;
            gb_1.X = -190;
            A8ERP.Common.DWServiceHelp.AddReportService(dw_bm);
            A8ERP.Common.DWServiceHelp.AddReportService(dw_cxsp);
            A8ERP.Common.DWServiceHelp.AddReportService(dw_zsmx);
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_CXFSSPDR", "/import/W_CXFSSPDR.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryNewBase", "/DangAn/Base/OpenWindowQueryNewBase.win.js?a=" + new DateTime());
            }
            if ("EDIT".Equals(opFlag))
            {

                cb_import.Enabled = false;
            }
            if ("ADD".Equals(opFlag))
            {
                cb_import.Enabled = true;

            }

            this.IsRegisterScriptFile = false;
        }
    }
}
